Subject: bug#23599: Including search directories for pdf and dvi

From: Mohammad Akhlaghi <[email-masked]>
Date: Mon, 23 May 2016 13:34:41 +0900

Hi Mathieu,

Thank you very much for the prompt answer.

On 05/23/2016 10:08 AM, Mathieu Lirzin wrote:
> Hello,
>
> Mohammad Akhlaghi <[email-masked]> writes:
>
>> I currently have a workaround for this problem (copying or making a
>> symbolic link from the `bootstrapped/doc/fdl.texi' to the
>> `doc/fdl.texi' during the bootstrap process), however, this is not
>> elegant! This file is a bootstrapped file and it would be much better
>> and clear if it remains with the other bootstrapped files.
>>
>> If I am doing something wrong or missing something, I would really
>> appreciate it if you could let me know.  Since the `AM_MAKEINFOFLAGS'
>> solution works in making Info and HTML outputs for this situation, but
>> not in pdf or dvi outputs, I thought it might be a bug and I am
>> sharing it with you here to see if you agree and if it is possible to
>> fix this problem.
>
> I haved faced the same type of problem when trying to include a texi
> fragment generated at configure time in "$(top_builddir)/doc" and
> setting 'AM_MAKEINFOFLAGS = -I doc'.  My ugly workaround is to override
> TEXI2DVI variable like this:
>
>   TEXI2DVI = texi2dvi -I doc
>
> After a quick look at $(datadir)/automake-1.15/am/texibuild.am' and
> '$(bindir)/texi2dvi', my guess is that 'texi2dvi' no longer handles
> passing arguments via the MAKEINFO shell variable, which is the way
> Automake passes AM_MAKEINFOFLAGS content to it.
>
> Thanks for reporting this issue.

Your solution is indeed much better than mine. It would be great if 
Automake could account for the change in texi2dvi's behavior (not 
handling arguments through the MAKEINFO shell variable).

I added a TEXI2DVI definition in my doc/Makefile.am, but I get the 
following error when running autoreconf (or automake independently):

   automake: warnings are treated as errors
   doc/Makefile.am:36: warning: user variable 'TEXI2DVI' defined here ...
   /usr/share/automake-1.15/am/texinfos.am: ... overrides Automake
   variable 'TEXI2DVI' defined here
   autoreconf: automake failed with exit status: 1

This is strange, because according to the Automake manual: "a variable 
defined in ‘Makefile.am’ or ‘AC_SUBST’ed from ‘configure.ac’ will 
override any definition of the variable that ‘automake’ would ordinarily 
create."

Thank you very much,
Mohammad